import { useMemo, lazy } from 'react';
var widgetImportMap = {
    StatisticTeaching: function () { return import('./StatisticTeaching'); },
    StatisticConversion: function () { return import('./StatisticConversion'); },
    ConversionSessions: function () { return import('./ConversionSessions'); },
    TeachingSessions: function () { return import('./TeachingSessions'); },
    WelcomeTeaching: function () { return import('./WelcomeTeaching'); },
    WelcomeConversion: function () { return import('./WelcomeConversion'); },
    TopTeachingContributors: function () { return import('./TopTeachingContributors'); },
    TopConverters: function () { return import('./TopConverters'); },
    YourKis: function () { return import('./YourKis'); },
};
export var useWidget = function (type) {
    return useMemo(function () { return lazy(widgetImportMap[type]); }, [type]);
};
export default useWidget;
